Spring Framework 5.3.3 发布,初步支持 JDK 17

御坂弟弟
 御坂弟弟
发布于 2021年01月13日
收藏 4

Spring Framework 5.3.3 现已发布。Spring Framework 是一个分层应用程序框架,可在任何类型的部署平台上为基于 Java 的现代企业应用程序提供全面的编程和配置模型 。此次更新包括 40 个修复和改进。

新功能

  • 为 ExceptionHandlerMethodResolvers 添加 null 检查
  • ClassNotFoundException:通过 Spring MVC 使用 WebTestClient 时的 ExchangeFunction
  • 对 JDK 17 的早期支持 
  • 更新 ReactiveAdapterRegistry, 在类初始化时进行类路径检查 
  • 在 Jetty Reactive HttpClient 中使用 abortOnRequest 
  • 更新 OncePerRequestFilter.isAsyncDispatch 以使用 HttpServletRequest.getDispatcherType() 
  • 在 AttributeAccessor 中引入 computeAttribute() 
  • ......

bug 修复

  • 无法在 WebFlux 中的 httpHeaders.keySet()中删除 header
  • 有效负载项目 SimpleApplicationEventMulticaster 中的 ClassCastException 处理 
  • DefaultPartHttpMessageReader 创建不会关闭的活动资源 
  • 修复 ReactorNettyWebSocketSession 中 isOpen()的实现 
  • 在 spring-form.tld 中移除过时的 commandName 属性 
  • ......

点此查看详细更新内容

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Spring Framework 5.3.3 发布,初步支持 JDK 17
加载中

精彩评论

古叶斋
古叶斋
在用8,坐等80
cielSwift
cielSwift
16还没发布
秋天的悲凉
秋天的悲凉
我还在用JDK8

最新评论(11

开源中国首席罗纳尔多
开源中国首席罗纳尔多
您好,请问支持是指什么?Java不是向下兼容的吗?Spring不需要改动都可以运行在JDK17吧?
古叶斋
古叶斋
在用8,坐等80
bye_world
bye_world
只用LTS版本
神說要有光
一样…
iman123
iman123
不小心看成了JDK 7 😅
大漠真人
大漠真人
坐等17发布
kut
kut
我觉得JDK 14 还行。
j
jungggle
11都没用用过
cielSwift
cielSwift
16还没发布
返回顶部
顶部